import { animate, style, transition, trigger } from '@angular/animations';
export const DownInUpOutAnimation = trigger('downInUpOut', [
    transition(':enter', [
        style({
            transform: 'translateY(-50%)',
            opacity: 0
        }),
        animate(500, style({
            opacity: 1,
            transform: 'translateY(0%)',
        }))
    ]),
    transition(':leave', [
        animate(500, style({
            opacity: 0,
            transform: 'translateY(-50%)',
        }))
    ])
]);
//# sourceMappingURL=down-in-up-out-animation.js.map