import { animate, style, transition, trigger } from '@angular/animations';
export const LeftInRightOutAnimation = trigger('leftInRightOut', [
    transition(':enter', [
        style({
            opacity: 0,
            transform: 'translateX(-50%)'
        }),
        animate(500, style({
            opacity: 1,
            transform: 'translateX(0)'
        }))
    ]),
    transition(':leave', [
        animate(500, style({
            opacity: 0,
            transform: 'translateX(50%)'
        }))
    ])
]);
//# sourceMappingURL=left-in-right-out-animation.js.map