import { animate, style, transition, trigger, group } from '@angular/animations';
export const ScaleInOutAnimation = trigger('scaleInOut', [
    transition(':enter', [
        style({
            transform: 'scale(0)',
            opacity: 0,
        }),
        group([
            animate('500ms 100ms ease-in', style({
                transform: 'scale(1)'
            })),
            animate('500ms ease-in', style({
                opacity: 1
            })),
        ])
    ]),
    transition(':leave', [
        animate(500, style({ opacity: 0 }))
    ])
]);
//# sourceMappingURL=scale-in-out-animation.js.map