import { animate, style, transition, trigger } from '@angular/animations';
export const GrowBottomInOutAnimation = trigger('growBottomInOut', [
    transition(':enter', [
        style({
            bottom: 0,
            height: '0',
            minHeight: '0%'
        }),
        animate('500ms ease', style({
            minHeight: '100%'
        }))
    ]),
    transition(':leave', [
        animate('500ms ease', style({
            height: '0',
            minHeight: '0%'
        }))
    ])
]);
//# sourceMappingURL=grow-bottom-in-out.js.map