import { animate, style, transition, trigger } from '@angular/animations';
export let GrowDownGrowUpAnimation = trigger('growDownGrowUp', [
    transition(':enter', [
        style({
            height: '0',
        }),
        animate('300ms ease-in', style({
            height: '*',
        }))
    ]),
    transition(':leave', [
        animate('300ms ease-out', style({
            height: '0',
        }))
    ])
]);
//# sourceMappingURL=grow-down-grow-up-animation.js.map