import { animate, style, transition, trigger } from '@angular/animations';
export const GrowDownGrowUpOpacityAnimation = trigger('growDownGrowUpOpacity', [
    transition(':enter', [
        style({
            height: '0',
            opacity: 0
        }),
        animate(500, style({
            height: '*',
            opacity: 1
        }))
    ]),
    transition(':leave', [
        animate(500, style({
            opacity: 0,
            height: '0',
        }))
    ])
]);
//# sourceMappingURL=grow-down-grow-up-opacity-animation.js.map