// TODO FIX Route Transition Animations
import { animate, style, transition, trigger, query, group } from '@angular/animations';
export const routerTransition = trigger('routerTransition', [
    transition('* <=> *', [
        /* order */
        /* 1 */ query(':enter, :leave', style({}), { optional: true }),
        /* 2 */ group([
            query(':enter .page', [
                style({
                    opacity: 0,
                    height: 0,
                }),
                animate('0.5s 500ms ease-in-out', style({
                    opacity: 1,
                    height: "*",
                }))
            ], { optional: true }),
            query(':leave .page', [
                style({
                    opacity: 1
                }),
                animate('0.5s 0ms ease-in-out', style({
                    opacity: 0
                }))
            ], { optional: true }),
        ])
    ])
]);
//# sourceMappingURL=route-transition-animations.js.map