import { animate, style, transition, trigger, keyframes } from '@angular/animations';
export const ZoomInCenterOut = trigger('zoomInCenterOut', [
    transition(':enter', [
        style({ transform: 'scale(0)' }),
        animate('300ms ease-in', style({ transform: 'scale(1)' }))
    ]),
    transition(':leave', [
        style({ transform: 'scale(1)' }),
        animate('300ms ease-out', keyframes([
            style({ transform: 'scale(1.15)', offset: 0.2 }),
            style({ transform: 'scale(0)', offset: 1 }),
        ]))
    ])
]);
//# sourceMappingURL=zoom-in-center-out-animation.js.map