import {AnimationTriggerMetadata, animate, state, style, transition, trigger} from '@angular/animations';


export const DownInUpOutAnimation =
  trigger('downInUpOut', [
    transition(':enter', [   // :enter is alias to 'void => *'
      style({
        transform: 'translateY(-50%)',
        opacity: 0
      }),
      animate(500, style({
        opacity: 1,
        transform: 'translateY(0%)',
      }))
    ]),
    transition(':leave', [   // :leave is alias to '* => void'
      animate(500, style({
        opacity: 0,
        transform: 'translateY(-50%)',
      }))
    ])
  ]);
