import {AnimationTriggerMetadata, animate, state, style, transition, trigger} from '@angular/animations';


export const GrowBottomInOutAnimation =
  trigger('growBottomInOut', [
    transition(':enter', [   // :enter is alias to 'void => *'
      style({
        bottom: 0,
        height: '0',
        minHeight: '0%'
      }),
      animate('500ms ease', style({
        minHeight: '100%'
      }))
    ]),
    transition(':leave', [   // :leave is alias to '* => void'
      animate('500ms ease', style({
        height: '0',
        minHeight: '0%'
      }))
    ])
  ]);
