import {AnimationTriggerMetadata, animate, state, style, transition, trigger} from '@angular/animations';


export let GrowDownGrowUpAnimation =
  trigger('growDownGrowUp', [
    transition(':enter', [   // :enter is alias to 'void => *'
      style({
        height: '0',
      }),
      animate('300ms ease-in', style({
        height: '*',
      }))
    ]),
    transition(':leave', [   // :leave is alias to '* => void'
      animate('300ms ease-out', style({
        height: '0',
      }))
    ])
  ]);
