import {AnimationTriggerMetadata, animate, state, style, transition, trigger} from '@angular/animations';


export const GrowDownGrowUpOpacityAnimation =
  trigger('growDownGrowUpOpacity', [
    transition(':enter', [   // :enter is alias to 'void => *'
      style({
        height: '0',
        opacity: 0
      }),
      animate(500, style({
        height: '*',
        opacity: 1
      }))
    ]),
    transition(':leave', [   // :leave is alias to '* => void'
      animate(500, style({
        opacity: 0,
        height: '0',
      }))
    ])
  ]);
