import {AnimationTriggerMetadata, animate, state, style, transition, trigger} from '@angular/animations';


export const LeftInRightOutAnimation =
  trigger('leftInRightOut', [
    transition(':enter', [   // :enter is alias to 'void => *'
      style({
        opacity: 0,
        transform: 'translateX(-50%)'
      }),
      animate(500, style({
        opacity: 1,
        transform: 'translateX(0)'
      }))
    ]),
    transition(':leave', [   // :leave is alias to '* => void'
      animate(500, style({
        opacity: 0,
        transform: 'translateX(50%)'
      }))
    ])
  ]);

